QuantaStor 4.0.4 Upgrade Instructions

From OSNEXUS Wiki
Jump to: navigation, search

There are three separate options for upgrading to the 4.0.4 release. This update will require a REBOOT if you are running a release older than 4.0.3.

Upgrading to 4.0.4 via the WebUI Upgrade Manager

This is the recommended upgrade path for systems already running a recent 4.0.3 release that do not require OS level security patches.

This option will result in an upgrade of only the QuantaStor specific packages (as opposed to a complete OS wide package upgrade), and only require the Command Line Interface to perform the kernel upgrade. We recommend electing for this option if you have recently upgraded using the qs-upgrade command and do not require a full OS level update.

Login to the WebUI with an admin account and run the Upgrade Manager, click Check for Updates and Install the below QuantaStor update packages via the Upgrade manager.

Web Management       4.0.4.1173-1
Core Services        4.0.4.1173-1

Please note that the upgrade process will log out any WebUI manager sessions you have running.

After performing the upgrade, close and re-open your QuantaStor WebUI Browswer Tabs.

This will ensure you are running the 4.0.4.1173 version of the QuantaStor Web manager. If you have trouble displaying the new QuantaStor Web management via your browser, please use [Ctrl]+[F5] ([Shift]+F5] on Mac OS X) to reload the QuantaStor Web manager and bypass your cache. If your browser does not support forcing a page reload without cache, please clear the cache in your browser.

Upgrading to 4.0.4 and Latest OS Packages via Command Line Interface

This is the recommended option for systems running 3.16.x or earlier QuantaStor versions, and any version 4.x systems that may be out of date and require OS level package updates.

This update will require a REBOOT.

This procedure will upgrade the QuantaStor system to the latest software version, and also update all OS level packages to their latest versions as well, ensuring the system software has the latest security patches in place.

For customers running releases older than 4.0.3 or versions of 3.x, it is recommended that you schedule a downtime work window as a reboot is required for changes in the 4.0.3 series of upgrades. You will need to run these commands as a user with sudo access on the QuantaStor appliance, such as the default 'qadmin' account or as root if you have enabled direct root access.

NOTE: Schedule Downtime and disconnect client access before performing these steps.

Login to the CLI to perform a full upgrade to QuantaStor 4.0.4 along with the installation of the 3.19.0-58-quantastor Linux Kernel, the latest ZFS and other driver upgrades and latest Security and OS packages.

  1. Run the qs-upgrade command once to install the newest version of the qs-upgrade script and the base Quantastor packages.
    # sudo qs-upgrade
  2. Run the qs-upgrade command a second time to install all system level updates and dependencies, this will bring all system level and security packages to the latest versions.
    # sudo qs-upgrade
  3. Run the kernel upgrade command to install the 3.19.0-58-quantastor Linux Kernel.
    # sudo qs-kernelupgrade
  4. Reboot the Quantastor Appliance to boot to the new kernel:
    # sudo reboot

Upgrading to 4.0.4 via Manual Installation

This option is not recommended unless there is an explicit need to install the 4.0.4.1173 version of the software.

The above options will result in an upgrade to the latest available software versions and are the recommended upgrade choices for all customers. The follows steps can be used if there is a specific need to install the 4.0.4.1173 version of the software, even if newer software updates are available.

The below commands can be run from the console of a QuantaStor appliance to explicitly install the 4.0.4 release on any QuantaStor running a v3 or newer release.

Command Line Instructions to install QuantaStor 4.0.4.1173 explicitly:

# sudo apt-get update
# sudo apt-get install -y open-iscsi=2.0.873-3ubuntu5~ubuntu12.04.1 fping libpython2.7 zfsutils libzpool2 libzfs2 lsscsi pv qstormanager=4.0.4.1173-1 qstorservice=4.0.4.1173-1 qstortomcat=7.4.0.2.1119-1 qstortarget=4.0.3.1156-1 python-softlayer-objstorage
# sudo qs-kernelupgrade